Gda.ServerOperationCreateTableArg – Gda-6.0 Reference Manual

# ServerOperationCreateTableArg

## Object Hierarchy:

## Description:

[ CCode ( copy_function = "g_boxed_copy" , free_function = "g_boxed_free" , type_id = "gda_server_operation_create_table_arg_get_type ()" ) ]
[ Compact ]
public class ServerOperationCreateTableArg
Namespace: Gda
Package: Gda-6.0

## Content:

### Static methods:

- public static Type get_fkey_ref_field_get_type ()

### Creation methods:

- public ServerOperationCreateTableArg ()

### Methods:

- public ServerOperationCreateTableArg copy ()
- public void free ()
- public string get_column_name ()
- public Type get_column_type ()
- public string get_fkey_ondelete ()
- public string get_fkey_onupdate ()
- public unowned List<ServerOperationCreateTableArgFKeyRefField> get_fkey_refs ()
- public string get_fkey_table ()
- public ServerOperationCreateTableFlag get_flags ()
- public void set_column_name (string name)
- public void set_column_type (Type ctype)
- public void set_fkey_ondelete (string action)
- public void set_fkey_ondupdate (string action)
- public void set_fkey_refs (List<ServerOperationCreateTableArgFKeyRefField> refs)
- public void set_fkey_table (string name)
- public void set_flags (ServerOperationCreateTableFlag flags)